package cn.com.ctop.kuaishou.modules.report.mapper;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouPlanCreate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 快手-计划创建记录
 *
 * @author jeecg-boot
 * 2021-11-18
 * @version V1.0
 */
public interface KuaishouPlanCreateMapper extends BaseMapper<KuaishouPlanCreate> {

    String getLeaderNameByUserId(@Param("userId") String userId);

    Integer getNewPlan(@Param("accountId") Long accountId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    Integer getNewUnit(@Param("accountId") Long accountId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    Integer getAutoUnit(@Param("accountId") Long accountId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    Integer getEffectiveUnit(@Param("accountId") Long accountId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    String getCompanyId(@Param("userId") String userId);

    Integer getHostPlan(@Param("accountId") Long accountId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    Integer getBatchUnit(@Param("accountId") Long accountId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);

    Integer getMediaCount(@Param("accountId") Long accountId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);
}
